package com.example.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class WzHouseContractInEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    private long id;                              //行ID
    private String importTime;                    //导入时间
    private String ownershipOTheProperty;         //房屋所有权人属性
    private String theNameOfTheRentedProperty;
    private String formOfLease;
    private String standardAddressLevel_1;
    private String standardAddressLevel_2;
    private String standardAddressLevel_3;
    private String houseNumber;
    private String cityArea;
    private String district;
    private String buildingLongitude;
    private String buildingDimension;
    private String rentalBuildingArea;
    private String rentalUsableArea;
    private String investmentEntities;
    private String useTheUnitsHierarchy;
    private String province;
    private String city;
    private String county;
    private String useTheProLine;              //使用专线
    private String leaseInPracticalUse;        //租入实际用途
    private String descriptionOfOtherUsesOfTheLease;   //租入其他用途说明
    private double selfUseBuildingArea;            //自用建筑面积(平米)
    private String subleaseBuildingArea;           //转租建筑面积(平米)
    private String firstHireTime;                  //首次租用时间
    private String useDepartments;                //使用部门
    private String contacts;                     //联系人
    private String contactNumber;                  //联系电话
    private String totalMonthlyRent;             //月租金(不含税)(元)
    private String contractNumber;            //合同编号
    private String contractName;              //合同名称
    private String contractType;              //合同类型
    private String signTime;                 //签订时间
    private String ourContractingEntity;      //我方签约主体
    private String lessorName;               //出租方名称
    private double contractAmountIncludingTax;       //合同总金额(含税)(元)
    private String valueAddedTaxAmount;             //增值税金额(元)
    private String effectiveTimeOfContract;        //租入开始时间(合同生效时间)
    private String terminationTimeOfContract;     //租入终止时间(合同终止时间)
    private String undertakingDepartment;        //承办部门
    private String selfUseArea;             //自用面积（使用）
    private String idleUseArea;            //闲置面积（使用
    private double rentalUseArea;         //出租面积（使用）
    private String unusableUseArea;       //不可使用面积（使用
    private String statisticalMonth;
    private List<WzHouseContractInEntity> children;
}
