package com.example.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class WzHouseContractTopEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    private long id;                              //行ID
    private String useTheUnitsHierarchy;
    private String province;
    private String city;
    private String county;
    private String useTheProLine;              //使用专线
    private String leaseInPracticalUse;        //租入实际用途
    private String descriptionOfOtherUsesOfTheLease;   //租入其他用途说明
    private String cityArea;
    private String district;
    private String rentalBuildingArea;           //自用建筑面积(平米)
    private String hireTime;                  //首次租用时间
    private String totalMonthlyRent;             //月租金(不含税)(元)
    private double contractAmountIncludingTax;       //合同总金额(含税)(元)
    private String contractNumber;            //合同编号
    private String contractName;              //合同名称
    private String statisticalMonth;
    private List<WzHouseContractTopEntity> children;
}
