package com.example.entity.house;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@NoArgsConstructor
@Data
public class HouseBuildingPo {
    private Integer yearMonth;
    private String buildingId;
    private String firstUnit;
    private String secondUnit;
    private String thirdUnit;
    private String siteNum;
    private String siteName;
    private String address;
    private String cityLevel;
    private String cityRegion;
    private String areaSector;
    private String hasLand;
    private String siteId;
    private String buildingName;
    private BigDecimal housingAcquisitionRate;
    private String housingSource;
    private String acquisitionDate;
    private Integer houseYearBegan;
    private String investor;
    private String managementLevel;
    private String buildingStructure;
    private String totalFloors;
    private String assetsNum;
    private String assetsTagNum;
    private String usageStatus;
    private String buildingUse;
    private String ownershipStatus;
    private BigDecimal floorArea;
    private BigDecimal buildingArea;
    private BigDecimal buildingAreaSelfUse;
    private BigDecimal buildingAreaRent;
    private BigDecimal buildingAreaIdle;
    private BigDecimal buildingAreaUnusable;
    private BigDecimal usableArea;
    private BigDecimal usableAreaSelfUse;
    private BigDecimal usableAreaRent;
    private BigDecimal usableAreaIdle;
    private BigDecimal usableAreaUnusable;
    private String city;
    private String district;
    private BigDecimal lngWgs84;
    private BigDecimal latWgs84;
    private BigDecimal lngBd09;
    private BigDecimal latBd09;
    private String buildingImg;
    private String areaNo;
    private String areaName;
    private String cityNo;
    private String cityName;
    private Integer yearNo;
    private Integer monthNo;
    private Integer houseAge;
    private String landName;
    private String frontage;
    private String courtyard;
    private String wholeBuilding;
    private String propertyOwnershipCertificate;
    private String noPropertyOwnershipCertificateReason;
    private String unrelatedAssets;
    private String communityAssistantName;
    private String communityAssistantUnit;
    private BigDecimal lngJt;
    private BigDecimal latJt;
    private String propertyOwner;
    private String checked;
    private String cityId;
    private String districtId;
}
