package com.example.entity.vo.housemanager;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class LeaveUseVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String city;
    private String county;
    private String cityName;
    private String countyName;
    private boolean flag;
    private Double buildingArea;                   //总面积
    private Double buildingAreaUnavailable;        //不可使用面积
    private Double buildingAreaUseArea;            //自用面积
    private Double buildingAreaIdelArea;           //闲置面积
    private Double buildingAreaRentArea;           //出租面积
    private String buildingStartyear;              //房龄开始时间
    private int    houseYearNum;                   //房龄
    private double average;                        //闲置率
    private double rentAverage;                    //可出租率
    private int idelNum;                           //闲置数量
    private List<LeaveUseVo> children;
}
