package com.example.service.impl;

import com.example.dao.WzOtnAreaDao;
import com.example.entity.OtnAreaEntity;
import com.example.service.WzOtnAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class WzOtnAreaServiceImpl implements WzOtnAreaService {

    @Autowired
    private WzOtnAreaDao wzOtnAreaDao;

    @Override
    public List<OtnAreaEntity> queryList(Map<String, Object> map) {
        return wzOtnAreaDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return wzOtnAreaDao.queryTotal(map);
    }

    @Override
    public int save(OtnAreaEntity otnAreaEntity) {
        return wzOtnAreaDao.save(otnAreaEntity);
    }

    @Override
    public List<OtnAreaEntity> getCityOption(String parentId) {
        return wzOtnAreaDao.listByParentId(parentId);
    }

    @Override
    public OtnAreaEntity queryObject(String city) {
        return wzOtnAreaDao.getByName(city);
    }

    @Override
    public OtnAreaEntity queryObjectById(String city) {
        return wzOtnAreaDao.getById(city);
    }

}
