package com.example.service.impl;

import com.example.dao.WzRentThreeMonthDao;
import com.example.entity.OtnAreaEntity;
import com.example.entity.WzRentThrMonthEntity;
import com.example.service.WzOtnAreaService;
import com.example.service.WzRentThreeMonthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class WzRentThreeMonthServiceImpl implements WzRentThreeMonthService {

    @Autowired
    private WzRentThreeMonthDao wzRentThreeMonthDao;

    @Autowired
    private WzOtnAreaService otnAreaService;

    @Override
    public List<WzRentThrMonthEntity> queryList(Map<String, Object> map) {
        dealMap(map);
        return wzRentThreeMonthDao.queryList(map);
    }



    @Override
    public int queryTotal(Map<String, Object> map) {
        return wzRentThreeMonthDao.queryTotal(map);
    }

    @Override
    public String getLastStaticMonth() {
        return wzRentThreeMonthDao.getLastStaticMonth();
    }

    public void  dealMap(Map<String, Object> map){
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("county")!=null&&!map.get("county").toString().equals("区县")&&!map.get("county").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("county").toString());
            map.put("county",city.getName());
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("区县")){
            map.remove("county");
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("")){
            map.remove("county");
        }
        if(map.get("statisticalMonth")!=null&&!map.get("statisticalMonth").toString().equals("")&&!map.get("statisticalMonth").toString().equals("账期")){
            map.put("statisticalMonth",Integer.valueOf(map.get("statisticalMonth").toString()));
        }else{
            map.remove("statisticalMonth");
        }
    }

}
