package com.example.config.mybatis.ex.method;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/***********************************************************************************************************************
 *                注意：本内容仅限于公司内部传阅，禁止外泄以及用于其他的商业目
 * @author
 * @date 2021-04-26
 * @version V1.0
 **********************************************************************************************************************/

/**
 * 拓展批量插入方法 需要使用请把baseMapper继承为ExBaseMapper
 * @param <T>
 */
public interface ExBaseMapper<T> extends BaseMapper<T> {

    int insertBatch(List<T> entityList);

    int save(T t);

    void save(Map<String, Object> map);

    void saveBatch(List<T> list);

//    int update(T t);

    int update(Map<String, Object> map);

//    int delete(Object id);

//    int delete(Map<String, Object> map);

    int deleteBatch(Object[] id);

    T queryObject(Object id);

    List<T> queryList(Map<String, Object> map);

    List<T> queryList(Object id);

    int queryTotal(Map<String, Object> map);

    int queryTotal();

}
