package com.example.service.house;

import com.example.dao.WzOtnAreaDao;
import com.example.entity.OtnAreaEntity;
import com.example.utils.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class HouseWzOtnAreaService {
    private final WzOtnAreaDao wzOtnAreaDao;

    public HouseWzOtnAreaService(WzOtnAreaDao wzOtnAreaDao) {
        this.wzOtnAreaDao = wzOtnAreaDao;
    }

    public R getCityOption(String id) {
        if ("0".equals(id)) {
            id = "018";
        }
        List<OtnAreaEntity> list = wzOtnAreaDao.listByParentId(id);
        return R.ok().put("list", list);
    }
}
