package com.example.service.impl;

import com.example.dao.WzBuildManageDetailsDao;
import com.example.entity.OtnAreaEntity;
import com.example.entity.WzBuildManageDetailsEntity;
import com.example.entity.vo.BuildManageVo;
import com.example.entity.vo.housemanager.LeaveUseVo;
import com.example.service.WzBuildManageDetailsService;
import com.example.service.WzOtnAreaService;
import com.example.utils.Query;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class WzBuildManageDetailsServiceImpl implements WzBuildManageDetailsService {

    @Autowired
    private WzBuildManageDetailsDao wzBuildManageDetailsDao;
    @Autowired
    private WzOtnAreaService otnAreaService;

    @Override
    public List<WzBuildManageDetailsEntity> queryList(Map<String, Object> map) {
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("county")!=null&&!map.get("county").toString().equals("区县")&&!map.get("county").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("county").toString());
            map.put("county",city.getName());
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("区县")){
            map.remove("county");
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("")){
            map.remove("county");
        }
        if(map.get("statisticalMonth")!=null&&!map.get("statisticalMonth").toString().equals("")){
            String date=map.get("statisticalMonth").toString();
            date=date.substring(0,4)+"-"+date.substring(4)+"-"+"01";
            map.put("statisticalMonth",date);
        }else{
            map.remove("statisticalMonth");
        }
        if(map.get("statisticalMonth1")!=null&&!map.get("statisticalMonth1").toString().equals("")){
            String date=map.get("statisticalMonth1").toString();
            date=date.substring(0,4)+"-"+date.substring(4)+"-"+"01";
            map.put("statisticalMonth1",date);
        }else{
            map.remove("statisticalMonth1");
        }
        return wzBuildManageDetailsDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("county")!=null&&!map.get("county").toString().equals("区县")&&!map.get("county").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("county").toString());
            map.put("county",city.getName());
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("区县")){
            map.remove("county");
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("")){
            map.remove("county");
        }
        if(map.get("statisticalMonth")!=null&&!map.get("statisticalMonth").toString().equals("")){
            String date=map.get("statisticalMonth").toString();
            date=date.substring(0,4)+"-"+date.substring(4)+"-"+"01";
            map.put("statisticalMonth",date);
        }else{
            map.remove("statisticalMonth");
        }
        return wzBuildManageDetailsDao.queryTotal(map);
    }

    @Override
    public List<LeaveUseVo> queryLeaveUseList(Map<String, Object> map) {
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("county")!=null&&!map.get("county").toString().equals("区县")&&!map.get("county").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("county").toString());
            map.put("county",city.getName());
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("区县")){
            map.remove("county");
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("")){
            map.remove("county");
        }
        if(map.get("statisticalMonth")!=null&&!map.get("statisticalMonth").toString().equals("")){
            String date=map.get("statisticalMonth").toString();
            date=date.substring(0,4)+"-"+date.substring(4)+"-"+"01";
            map.put("statisticalMonth",date);
        }else{
            map.remove("statisticalMonth");
        }
        List<LeaveUseVo> leaveUseVoList=  wzBuildManageDetailsDao.queryLeaveUseList(map);
        return dealLeaveUseList(leaveUseVoList);
    }

    @Override
    public List<LeaveUseVo> queryLeaveUseByEchart(Map<String, Object> map) {
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("county")!=null&&!map.get("county").toString().equals("区县")&&!map.get("county").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("county").toString());
            map.put("county",city.getName());
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("区县")){
            map.remove("county");
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("")){
            map.remove("county");
        }
        if(map.get("statisticalMonth")!=null&&!map.get("statisticalMonth").toString().equals("")){
            String date=map.get("statisticalMonth").toString();
            date=date.substring(0,4)+"-"+date.substring(4)+"-"+"01";
            map.put("statisticalMonth",date);
        }else{
            map.remove("statisticalMonth");
        }
        List<LeaveUseVo> leaveUseVoList=  wzBuildManageDetailsDao.queryLeaveUseList(map);
        return leaveUseVoList;
    }


    public List<LeaveUseVo> dealLeaveUseList(List<LeaveUseVo> leaveUseVoList){
        //全省节点
        LeaveUseVo province = new LeaveUseVo();
        province.setCountyName("全省");
        province.setCity("全省");
        double abuildingAreaIdelArea = 0l;
        double abuildingAreaRentArea = 0l;
        double abuildArea = 0l;
        double abuildingAreaUnavailable = 0l;
        double abuildingAreaUseArea = 0l;
        int aidelNum = 0;
        int repeatNum = 0;

        //城市的Map
        Map<String, List<LeaveUseVo>> map = new HashMap<>();
        for (LeaveUseVo leaveUseVo : leaveUseVoList) {
            double avera;
            if (leaveUseVo.getBuildingAreaIdelArea() + leaveUseVo.getBuildingAreaRentArea() == 0) {
                avera = 0;
            } else {
                avera = leaveUseVo.getBuildingAreaIdelArea() / (leaveUseVo.getBuildingAreaIdelArea() + leaveUseVo.getBuildingAreaRentArea());
                avera = formatDouble(avera);
            }

            //可出租率
            double rentAverage;
            if(leaveUseVo.getBuildingAreaIdelArea() + leaveUseVo.getBuildingAreaRentArea()+leaveUseVo.getBuildingAreaUseArea()==0){
                rentAverage=0;
            }else{
                rentAverage =( leaveUseVo.getBuildingAreaIdelArea()+  leaveUseVo.getBuildingAreaRentArea())/
                        (leaveUseVo.getBuildingAreaIdelArea() + leaveUseVo.getBuildingAreaRentArea()+leaveUseVo.getBuildingAreaUseArea());
                rentAverage = formatDouble(rentAverage);
            }
            leaveUseVo.setRentAverage(formatDouble1(rentAverage*100));
            leaveUseVo.setAverage(formatDouble1(avera * 100));
            List<LeaveUseVo> list;
            if (map.get(leaveUseVo.getCity()) != null) {
                list = map.get(leaveUseVo.getCity());
                list.add(leaveUseVo);
            } else {
                list = new ArrayList<>();
                list.add(leaveUseVo);
            }
            map.put(leaveUseVo.getCity(), list);
        }
        List<LeaveUseVo> resultList = new ArrayList<>();
        List<LeaveUseVo> cityList = new ArrayList<>();
        for (Map.Entry<String, List<LeaveUseVo>> entry : map.entrySet()) {
            List<LeaveUseVo> list = entry.getValue();
            //县的Map集合
            Map<String, List<LeaveUseVo>> countyMap = new HashMap<>();
            for (LeaveUseVo leaveUseVo : list) {
                if (countyMap.get(leaveUseVo.getCounty()) != null) {
                    list = countyMap.get(leaveUseVo.getCounty());
                    list.add(leaveUseVo);
                } else {
                    list = new ArrayList<>();
                    list.add(leaveUseVo);
                }
                countyMap.put(leaveUseVo.getCounty(), list);
            }

            List<LeaveUseVo> countyList = new ArrayList<>();
            double citybuildingAreaIdelArea = 0l;
            double citybuildingAreaRentArea = 0l;
            double citybuildArea = 0l;
            double citybuildingAreaUnavailable = 0l;
            double citybuildingAreaUseArea = 0l;
            int cityidelNum = 0;
            for (Map.Entry<String, List<LeaveUseVo>> countyEntry : countyMap.entrySet()) {
                double buildingAreaIdelArea = 0l;
                double buildingAreaRentArea = 0l;
                double buildArea = 0l;
                double buildingAreaUnavailable = 0l;
                double buildingAreaUseArea = 0l;
                int idelNum = 0;

                LeaveUseVo county = new LeaveUseVo();
                String reapStr = "";
                if (countyEntry.getKey().equals("市本部")) {
                    reapStr = "市本部" + repeatNum;
                    repeatNum++;
                }
                for (LeaveUseVo leaveUseVo : countyEntry.getValue()) {
                    if (!reapStr.equals("")) {
                        county.setCity(reapStr);
                        county.setCountyName(reapStr);
                    } else {
                        county.setCity(leaveUseVo.getCounty());
                        county.setCountyName(leaveUseVo.getCounty());
                    }


                    buildingAreaIdelArea += leaveUseVo.getBuildingAreaIdelArea();
                    buildingAreaRentArea += leaveUseVo.getBuildingAreaRentArea();
                    buildArea += leaveUseVo.getBuildingArea();
                    buildingAreaUnavailable += leaveUseVo.getBuildingAreaUnavailable();
                    buildingAreaUseArea += leaveUseVo.getBuildingAreaUseArea();

                    citybuildingAreaIdelArea += leaveUseVo.getBuildingAreaIdelArea();
                    citybuildingAreaRentArea += leaveUseVo.getBuildingAreaRentArea();
                    citybuildArea += leaveUseVo.getBuildingArea();
                    citybuildingAreaUnavailable += leaveUseVo.getBuildingAreaUnavailable();
                    citybuildingAreaUseArea += leaveUseVo.getBuildingAreaUseArea();

                    abuildingAreaIdelArea += leaveUseVo.getBuildingAreaIdelArea();
                    abuildingAreaRentArea += leaveUseVo.getBuildingAreaRentArea();
                    abuildArea += leaveUseVo.getBuildingArea();
                    abuildingAreaUnavailable += leaveUseVo.getBuildingAreaUnavailable();
                    abuildingAreaUseArea += leaveUseVo.getBuildingAreaUseArea();

                    if (leaveUseVo.getBuildingAreaIdelArea() > 0) {
                        idelNum += 1;
                        aidelNum += 1;
                        cityidelNum += 1;
                    }
                }
                double avera;
                if (buildingAreaIdelArea + buildingAreaRentArea == 0) {
                    avera = 0;
                } else {
                    avera = formatDouble(buildingAreaIdelArea / (buildingAreaRentArea + buildingAreaIdelArea));
                }
                //可出租率
                double rentAverage;
                if(buildingAreaIdelArea + buildingAreaRentArea+buildingAreaUseArea==0){
                    rentAverage=0;
                }else{
                    rentAverage =( buildingAreaIdelArea+ buildingAreaRentArea)/
                            (buildingAreaIdelArea + buildingAreaRentArea+buildingAreaUseArea);
                    rentAverage = formatDouble(rentAverage);
                }
                county.setRentAverage(formatDouble1(rentAverage* 100.0));
                county.setBuildingArea(formatDouble(buildArea));
                county.setBuildingAreaIdelArea(formatDouble(buildingAreaIdelArea));
                county.setBuildingAreaUnavailable(formatDouble(buildingAreaUnavailable));
                county.setBuildingAreaUseArea(formatDouble(buildingAreaUseArea));
                county.setBuildingAreaRentArea(formatDouble(buildingAreaRentArea));
                county.setAverage(formatDouble1(avera* 100.0));
                county.setIdelNum(idelNum);
                countyList.add(county);
            }

            List<LeaveUseVo> orderCountyList = new ArrayList<>();
            try {
                //对countList 进行排序
                OtnAreaEntity area = otnAreaService.queryObject(list.get(0).getCity());
                List<OtnAreaEntity> countyAreaList = otnAreaService.getCityOption(area.getId());
                int i=0;
                for (OtnAreaEntity otnAreaEntity : countyAreaList) {
                    for (LeaveUseVo wzCity : countyList) {
                        if (wzCity.getCity().contains(otnAreaEntity.getName())) {
                            i++;
                            wzCity.setFlag(i%2==0);
                            orderCountyList.add(wzCity);
                        }
                    }
                }
            } catch (Exception e) {
                orderCountyList = countyList;
                e.printStackTrace();
            }

            double avera;
            if (citybuildingAreaRentArea + citybuildingAreaIdelArea == 0) {
                avera = 0;
            } else {
                avera = formatDouble(citybuildingAreaIdelArea / (citybuildingAreaRentArea + citybuildingAreaIdelArea));
            }
            //可出租率
            double rentAverage;
            if(citybuildingAreaIdelArea + citybuildingAreaRentArea+citybuildingAreaUseArea==0){
                rentAverage=0;
            }else{
                rentAverage =( citybuildingAreaIdelArea+ citybuildingAreaRentArea)/
                        (citybuildingAreaIdelArea + citybuildingAreaRentArea+citybuildingAreaUseArea);
                rentAverage = formatDouble(rentAverage);
            }
            LeaveUseVo parent = new LeaveUseVo();
            parent.setBuildingArea(formatDouble(citybuildArea));
            parent.setBuildingAreaIdelArea(formatDouble(citybuildingAreaIdelArea));
            parent.setBuildingAreaUnavailable(formatDouble(citybuildingAreaUnavailable));
            parent.setBuildingAreaUseArea(formatDouble(citybuildingAreaUseArea));
            parent.setBuildingAreaRentArea(formatDouble(citybuildingAreaRentArea));
            parent.setIdelNum(cityidelNum);
            parent.setCity(list.get(0).getCity());
            parent.setCountyName(list.get(0).getCityName());
            parent.setAverage(formatDouble1(avera * 100.0));
            parent.setRentAverage(formatDouble1(rentAverage * 100.0));
            parent.setChildren(orderCountyList);
            cityList.add(parent);
        }

        //对cityList 进行排序
        List<OtnAreaEntity> areaList = otnAreaService.getCityOption("018");
        List<LeaveUseVo> orderList = new ArrayList<>();
        int i=0;
        for (OtnAreaEntity otnAreaEntity : areaList) {
            for (LeaveUseVo wzCity : cityList) {
                if (otnAreaEntity.getName().equals(wzCity.getCity())) {
                    wzCity.setFlag(i%2==0);
                    orderList.add(wzCity);
                    i++;
                }
            }
        }
        double aavera = 0;
        if (abuildingAreaRentArea + abuildingAreaIdelArea == 0) {

        } else {
            aavera = formatDouble(abuildingAreaIdelArea / (abuildingAreaRentArea + abuildingAreaIdelArea)) * 100;
        }
        //可出租率
        double rentAverage;
        if(abuildingAreaIdelArea + abuildingAreaRentArea+abuildingAreaUseArea==0){
            rentAverage=0;
        }else{
            rentAverage =( abuildingAreaIdelArea+ abuildingAreaRentArea)/
                    (abuildingAreaIdelArea + abuildingAreaRentArea+abuildingAreaUseArea);
            rentAverage = formatDouble(rentAverage);
        }

        province.setAverage(formatDouble(aavera));
        province.setRentAverage(formatDouble(rentAverage));
        province.setChildren(orderList);
        province.setBuildingArea(formatDouble(abuildArea));
        province.setBuildingAreaIdelArea(formatDouble(abuildingAreaIdelArea));
        province.setBuildingAreaUnavailable(formatDouble(abuildingAreaUnavailable));
        province.setBuildingAreaUseArea(formatDouble(abuildingAreaUseArea));
        province.setIdelNum(aidelNum);
        province.setBuildingAreaRentArea(formatDouble(abuildingAreaRentArea));

        if(orderList.size()>0){
            resultList.add(province);
        }
        return resultList;
    }

    @Override
    public List<String> getBuildingNameAlias(Map<String, Object> map) {
        dealMap(map);
        return wzBuildManageDetailsDao.getBuildingNameAlias(map);
    }

    @Override
    public List<String> getBuildingNameCode(Map<String, Object> map) {
        dealMap(map);
        return wzBuildManageDetailsDao.getBuildingNameCode(map);
    }

    @Override
    public BuildManageVo queryCityAreaByCode(Map<String, Object> map) {
        dealMap(map);
        return wzBuildManageDetailsDao.queryCityAreaByCode(map);
    }

    @Override
    public String getLastStaticMonth(Query query) {
        String month=wzBuildManageDetailsDao.getLastStaticMonth(query);
        return month;
    }

    @Override
    public String getLastStaticMonth1(Query query) {
        String month=wzBuildManageDetailsDao.getLastStaticMonth1(query);
        return month;
    }

    @Override
    public String getLastStaticMonth2(Query query) {
        String month=wzBuildManageDetailsDao.getLastStaticMonth2(query);
        return month;
    }

    @Override
    public int getBuildingNameAliasTotal(Query query) {
        dealMap(query);
        return wzBuildManageDetailsDao.getBuildingNameAliasTotal(query);
    }

    @Override
    public int queryBuildDetailByCodeTotal(Query query) {
        dealMap(query);
        return wzBuildManageDetailsDao.queryBuildDetailByCodeTotal(query);
    }

    public void dealMap(Map<String, Object> map){
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("county")!=null&&!map.get("county").toString().equals("区县")&&!map.get("county").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("county").toString());
            map.put("county",city.getName());
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("区县")){
            map.remove("county");
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("")){
            map.remove("county");
        }
        if(map.get("statisticalMonth")!=null&&!map.get("statisticalMonth").toString().equals("")){
            String date=map.get("statisticalMonth").toString();
            date=date.substring(0,4)+"-"+date.substring(4)+"-"+"01";
            map.put("statisticalMonth",date);
        }else{
            map.remove("statisticalMonth");
        }
    }


    public double formatDouble(double num) {
        if (num == 0) return 0;
        DecimalFormat format2 = new DecimalFormat("#.0000");
        String str2 = format2.format(num);
        double avera = Double.parseDouble(str2);
        return avera;
    }

    public double formatDouble1(double num) {
        if (num == 0) return 0;
        DecimalFormat format2 = new DecimalFormat("#.00");
        String str2 = format2.format(num);
        double avera = Double.parseDouble(str2);
        return avera;
    }
}
